package com.ruoyi.trade.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.report.vo.TrademarkLastSumDTO;
import com.ruoyi.trade.domain.CTrademark;
import com.ruoyi.trade.vo.TrademarkDTO;
import com.ruoyi.trade.vo.TrademarkVO;

/**
 * 中国商标Service接口
 *
 * @author ruoyi
 * @date 2023-04-28
 */
public interface ICTrademarkService extends IService<CTrademark> {
	/**
	 * 查询中国商标列表
	 *
	 * @param cTrademark 中国商标
	 * @return 中国商标集合
	 * @date 2023-04-28
	 */
	List<CTrademark> queryList(CTrademark cTrademark);

	void doSyncForIprd(String beginDate, String endDate);
	void syncTrademarkArea();
	TrademarkDTO listReportApply(CTrademark cTrademark);


	TrademarkLastSumDTO listForLast();
	Map<String,Object> listReportNcGrowth(CTrademark cTrademark);
	List<TrademarkDTO> listReportGrowth(CTrademark cTrademark);
	
	TrademarkDTO listReportReg(CTrademark cTrademark);

	TrademarkDTO listReportAct2(CTrademark cTrademark);
	TrademarkDTO listReportAct(CTrademark cTrademark);
	
	List<TrademarkVO> listReportHouse(CTrademark cTrademark) ;
	

	List<TrademarkVO> listReportNc(CTrademark cTrademark) ;

	List<TrademarkVO> listReportRank(CTrademark cTrademark) ;
	void doSyncMark() ;
}
